Skip to main content
`Ctrl`+`K`

# PetscQuadratureGetCellType

Return the cell type of the integration domain

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscQuadratureGetCellType(PetscQuadrature q, DMPolytopeType *ct)

Not Collective

## Input Parameter

- q - The `PetscQuadrature` object

## Output Parameter

- ct - The cell type of the integration domain

## See Also

`PetscQuadrature`, `PetscQuadratureSetCellType()`, `PetscQuadratureGetData()`, `PetscQuadratureSetData()`

## Level

intermediate

## Location

src/dm/dt/interface/dt.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages